# [−] List of all items

### Structs

- Codepoint
- Contour
- Curve
- Font
- FontCollection
- Glyph
- GlyphId
- GlyphIter
- HMetrics
- IntoFontsIter
- LayoutIter
- Line
- Point
- PositionedGlyph
- Rect
- Scale
- ScaledGlyph
- SharedGlyphData
- VMetrics
- Vector
- gpu_cache::Cache
- gpu_cache::CacheBuilder

### Enums

- Error
- Segment
- SharedBytes
- gpu_cache::CacheReadErr
- gpu_cache::CacheWriteErr
- gpu_cache::CachedBy

### Traits

- IntoGlyphId

### Functions

- point
- vector

### Typedefs

- gpu_cache::TextureCoords

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)